/****************************************************************************
**
** Copyright (C) 2005 Ralf Habacker. All rights reserved.
**
** This file is part of the KDE installer for windows
**
** This file may be used under the terms of the GNU General Public
** License version 2.0 as published by the Free Software Foundation
** and appearing in the file LICENSE.GPL included in the packaging of
** this file.  Please review the following information to ensure GNU
** General Public Licensing requirements will be met:
** http://www.trolltech.com/products/qt/opensource.html
**
** If you are unsure which license is appropriate for your use, please
** review the following information:
** http://www.trolltech.com/products/qt/licensing.html or contact the
** sales department at sales@trolltech.com.
**
** This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
** WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
**
****************************************************************************/

#include <QDebug>
#include <QLabel>
#include <QProgressBar>
#include <QHBoxLayout>
#include <QVBoxLayout>

#include "DownloaderProgressGui.h"

//#include "complexwizard.h"

DownloaderProgressGui::DownloaderProgressGui(QWidget *parent)
{
    statusLabel = new QLabel();
    progress = new QProgressBar(parent);

    QHBoxLayout *statusLayout = new QHBoxLayout;
    statusLayout->addWidget(statusLabel);
    statusLayout->addWidget(progress);

    titleLabel = new QLabel();
    QVBoxLayout *mainLayout = new QVBoxLayout;
    mainLayout->addWidget(titleLabel);
    mainLayout->addLayout(statusLayout);
    setLayout(mainLayout);
    hide();
}

DownloaderProgressGui::~DownloaderProgressGui()
{
    delete titleLabel;
    delete statusLabel;
    delete progress;
}

void DownloaderProgressGui::hide()
{
	titleLabel->hide();
    statusLabel->hide();
    progress->hide();
}

void DownloaderProgressGui::setTitle(const QString &label)
{
    titleLabel->setText(label);
}

void DownloaderProgressGui::setStatus(const QString &label)
{
    statusLabel->setText(label);
}

void DownloaderProgressGui::show()
{
    titleLabel->show();
    statusLabel->show();
    progress->show();
}

void DownloaderProgressGui::setMaximum(int value)
{
    progress->setMaximum(value);
}

void DownloaderProgressGui::setValue(int value)
{
    progress->setValue(value);
}
