/****************************************************************************
**
** Copyright (C) 2006-2007 Ralf Habacker. All rights reserved.
**
** This file is part of the KDE installer for windows
**
** This library is free software; you can redistribute it and/or
** modify it under the terms of the GNU Library General Public
** License version 2 as published by the Free Software Foundation.
**
** This library is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
** Library General Public License for more details.
**
** You should have received a copy of the GNU Library General Public License
** along with this library; see the file COPYING.LIB.  If not, write to
** the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
** Boston, MA 02110-1301, USA.
**
****************************************************************************/
#ifndef MIRRORS_H
#define MIRRORS_H

#include <QObject>
#include <QStringList>
class QString;
class QStringList;
class QByteArray;
class QFile;

class Mirrors /* : public QObject */
{

    //Q_OBJECT

public:
    enum MirrorType { KDE = 1 ,CYGWIN= 2 };

    Mirrors(MirrorType type);
    ~Mirrors();
    QStringList get
        ();

protected:
    bool parse(const QString &fileName);
    bool parse(const QByteArray &data);
    bool parse(QIODevice *ioDev);
    QStringList getList()
    {
        return m_mirrorList;
    }

private:
    MirrorType m_type;
    QStringList m_mirrorList;
};

#endif
